import mongoose, { HydratedDocument } from "mongoose";
import { Lesson } from "./lesson.schema";
export type AssignmentDocument = HydratedDocument<Assignment>;
export declare class Assignment {
    assignmentName: string;
    lessonId: Lesson;
    lessonName: string;
    totalMarks: number;
    answerOptions: string;
    deadLine: Date;
    answerFile: string;
    assignmentFile: string;
    info: string;
    createdAt: Date;
    updatedAt: Date;
}
export declare const AssignmentSchema: mongoose.Schema<Assignment, mongoose.Model<Assignment, any, any, any, mongoose.Document<unknown, any, Assignment> & Assignment & {
    _id: mongoose.Types.ObjectId;
}, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, Assignment, mongoose.Document<unknown, {}, mongoose.FlatRecord<Assignment>> & mongoose.FlatRecord<Assignment> & {
    _id: mongoose.Types.ObjectId;
}>;
