import mongoose, { HydratedDocument } from "mongoose";
import { Category } from "./category.schema";
import { User } from "./user.schema";
export type CourseDocument = HydratedDocument<Course>;
export declare class Course {
    name: string;
    categoryId: Category;
    categoryName: string;
    instructorId: User;
    instructorName: string;
    multiInstructorIds: string;
    organizationId: string;
    price: number;
    description: string;
    isDiscount: boolean;
    discount: number;
    courseProvider: string;
    courseOverview: string;
    thumbnail: string;
    status: string;
    info: string;
    courseType: string;
    isFree: boolean;
    createdAt: Date;
    updatedAt: Date;
}
export declare const CourseSchema: mongoose.Schema<Course, mongoose.Model<Course, any, any, any, mongoose.Document<unknown, any, Course> & Course & {
    _id: mongoose.Types.ObjectId;
}, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, Course, mongoose.Document<unknown, {}, mongoose.FlatRecord<Course>> & mongoose.FlatRecord<Course> & {
    _id: mongoose.Types.ObjectId;
}>;
