import mongoose, { HydratedDocument } from "mongoose";
import { Course } from "./course.schema";
import { User } from "./user.schema";
export type FeedbackDocument = HydratedDocument<Feedback>;
export declare class Feedback {
    feedbackText: string;
    courseId: Course;
    courseName: string;
    userId: User;
    userName: string;
    rate: number;
    status: boolean;
    createdAt: Date;
    updatedAt: Date;
}
export declare const FeedbackSchema: mongoose.Schema<Feedback, mongoose.Model<Feedback, any, any, any, mongoose.Document<unknown, any, Feedback> & Feedback & {
    _id: mongoose.Types.ObjectId;
}, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, Feedback, mongoose.Document<unknown, {}, mongoose.FlatRecord<Feedback>> & mongoose.FlatRecord<Feedback> & {
    _id: mongoose.Types.ObjectId;
}>;
