import mongoose, { HydratedDocument } from "mongoose";
import { Course } from "./course.schema";
export type SectionDocument = HydratedDocument<Section>;
export declare class Section {
    name: string;
    courseId: Course;
    courseName: string;
    positions: number;
    isActive: boolean;
    createdAt: Date;
    updatedAt: Date;
}
export declare const SectionSchema: mongoose.Schema<Section, mongoose.Model<Section, any, any, any, mongoose.Document<unknown, any, Section> & Section & {
    _id: mongoose.Types.ObjectId;
}, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, Section, mongoose.Document<unknown, {}, mongoose.FlatRecord<Section>> & mongoose.FlatRecord<Section> & {
    _id: mongoose.Types.ObjectId;
}>;
