"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StudentCoursesSchema = exports.StudentCourses = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const mongoose_2 = require("mongoose");
const course_schema_1 = require("./course.schema");
const user_schema_1 = require("./user.schema");
const enrollments_schema_1 = require("./enrollments.schema");
let StudentCourses = class StudentCourses {
};
__decorate([
    (0, mongoose_1.Prop)({ type: mongoose_2.default.Schema.Types.ObjectId, ref: "Course", required: true }),
    __metadata("design:type", course_schema_1.Course)
], StudentCourses.prototype, "courseId", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: false }),
    __metadata("design:type", String)
], StudentCourses.prototype, "courseName", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: mongoose_2.default.Schema.Types.ObjectId, ref: "User", required: true }),
    __metadata("design:type", user_schema_1.User)
], StudentCourses.prototype, "studentId", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: false }),
    __metadata("design:type", String)
], StudentCourses.prototype, "studentName", void 0);
__decorate([
    (0, mongoose_1.Prop)({
        type: mongoose_2.default.Schema.Types.ObjectId,
        ref: "Enrollments",
        required: true,
    }),
    __metadata("design:type", enrollments_schema_1.Enrollments)
], StudentCourses.prototype, "enrollmentsId", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true, default: (0, mongoose_2.now)() }),
    __metadata("design:type", Date)
], StudentCourses.prototype, "createdAt", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: false, default: (0, mongoose_2.now)() }),
    __metadata("design:type", Date)
], StudentCourses.prototype, "updatedAt", void 0);
StudentCourses = __decorate([
    (0, mongoose_1.Schema)({ timestamps: true })
], StudentCourses);
exports.StudentCourses = StudentCourses;
exports.StudentCoursesSchema = mongoose_1.SchemaFactory.createForClass(StudentCourses);
//# sourceMappingURL=studentCourses.schema.js.map