import mongoose, { HydratedDocument } from "mongoose";
import { Course } from "./course.schema";
export type CourseRoutineDocument = HydratedDocument<CourseRoutine>;
export declare class CourseRoutine {
    name: string;
    routines: string;
    courseId: Course;
    courseName: string;
    isActive: boolean;
    createdAt: Date;
    updatedAt: Date;
}
export declare const CourseRoutineSchema: mongoose.Schema<CourseRoutine, mongoose.Model<CourseRoutine, any, any, any, mongoose.Document<unknown, any, CourseRoutine> & CourseRoutine & {
    _id: mongoose.Types.ObjectId;
}, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, CourseRoutine, mongoose.Document<unknown, {}, mongoose.FlatRecord<CourseRoutine>> & mongoose.FlatRecord<CourseRoutine> & {
    _id: mongoose.Types.ObjectId;
}>;
