import mongoose, { HydratedDocument } from 'mongoose';
import { Character } from './character.schema';
export type PetDocument = HydratedDocument<Pet>;
export declare class Pet {
    name: string;
    age: number;
    character: Character;
    about: string;
    favorite: string;
    image: string;
    loveCount: number;
    createDate: Date;
    updateDate: Date;
}
export declare const PetSchema: mongoose.Schema<Pet, mongoose.Model<Pet, any, any, any, mongoose.Document<unknown, any, Pet> & Pet & {
    _id: mongoose.Types.ObjectId;
}, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, Pet, mongoose.Document<unknown, {}, mongoose.FlatRecord<Pet>> & mongoose.FlatRecord<Pet> & {
    _id: mongoose.Types.ObjectId;
}>;
